#pragma once
#include <set>
#include <deque>
#include "Global.h"


const int KarteX = 122;
const int KarteY = 202;

enum FARBEN {EICHEL, LAUB, HERZ, SCHELLE};
enum ZAHLEN {DAUS = 1, UNTER = 11, OBER = 12, KNIG = 13};

class Karte : public sf::Sprite {
private:
public:
	FARBEN Farbe;
	ZAHLEN Zahl;
	int Wert;
	Karte();
	void Extract(FARBEN farbe, ZAHLEN zahl);
	void SetBackImg();
	void SetFrontImg();
};

class Kartenblatt {
private:
public:
	bool GegnerPasst, IchPasse;
	Karte Karten[4][13];
	sf::Vector2f StapelPos;
	std::deque<Karte*> Stapel;
	std::set<Karte*> Gegner;
	std::set<Karte*> Ich;
	Kartenblatt(const sf::Vector2f& Stapelpos);
	void KI();
	void Gewonnen();
	void Load();
	void Mischen();
	void EineGeben();
};