#ifndef BALL_H
#define BALL_H

#include "Global.h"
#include "Physik.h"


class Ball : public sf::Drawable, public sf::Transformable {
	sf::Sprite Sprite;

	virtual void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	sf::Sound Wand, Schlger, Stein;
	PhysVec Bewegung;

	Ball();
	void move(float Speed);
	sf::FloatRect getLocalBounds() const;
	bool KollisionI(const sf::FloatRect& R);
	bool KollisionW(const sf::FloatRect& R);
};


#endif
