#ifndef CHECKBOX_H
#define CHECKBOX_H

#include "Global.h"
#include <SFML/Graphics.hpp>

class CheckBox : public sf::Drawable, sf::Transformable {
private:
	sf::Text Text;
	sf::RectangleShape Rand;
	sf::ConvexShape CheckMark1;
	sf::ConvexShape CheckMark2;
	bool Checked;
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	EventHandler<bool> OnChecked;
	CheckBox(const sf::String& text, sf::Vector2f Position, std::function<void(bool)> onChecked, Direction Align, bool CheckState = true);
	void Clicked(sf::Vector2i MousePosition);
	bool IsChecked() const;
	void Check(bool b);
};

#endif
