#include "Stein.h"


Stein::Stein(Direction besitzer) : Farbe(static_cast<uint8_t>(std::rand()%5)), Richtung(NICHTS), Besitzer(besitzer), geprft(false), bewegt(false) {
	Sprite.setTexture(RM().get<sf::Texture>("Grafik/Hexagon" + std::to_string(Farbe) + "_w.png"));
}

void Stein::draw(sf::RenderTarget& Target, sf::RenderStates states) const {
	states.transform *= getTransform();
	Target.draw(Sprite, states);
}
