#pragma once
#include <SFML/Graphics.hpp>
#include <vector>
#include "Util.h"


class CheckBox;

class CheckBoxGroup {
	std::vector<CheckBox*> Boxen;
public:
	CheckBoxGroup(std::initializer_list<CheckBox*> boxen);
	void Check(CheckBox* Activator);
};

class CheckBox : public sf::Drawable, sf::Transformable {
	friend class CheckBoxGroup;
private:
	sf::Text Text;
	sf::RectangleShape Rand;
	sf::ConvexShape CheckMark1, CheckMark2;
	CheckBoxGroup *Group;
	bool Checked;
public:
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const override;
	CheckBox(sf::Vector2f Position, const sf::String& text = sf::emptyString, float LineWidth = 2, float Size = 15, bool CheckState = true, const sf::Color& LineCol = sf::Color(0,0,0));
	bool IsClicked(sf::Vector2i MousePosition);
	bool IsChecked() const;
};
