#pragma once
#include <list>
#include <SFML/Graphics.hpp>
#include <SFML/Window.hpp>
#include <SFML/System.hpp>
#include "Utils.h"

class Dust;

struct Partikel : public sf::RectangleShape {
	Dust* Owner;
	float Angle;
	sf::Int32 LifeTime;
	uint32_t AlphaTime;
	Partikel(Dust* owner, float angle, sf::Vector2f pos);
	bool Process(sf::Int32 ElapsedTime, float Speed);
	void DecreaseAlpha();
};


class Dust : public sf::Drawable {
private:
	std::list<Partikel> Sprites;
	sf::Int32 ElapsedCreator, ElapsedFadeOut;
	void New();
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	sf::Vector2f Position;
	float Angle;
	static const float Speed;
	Dust();
	void Run(sf::Int32 time);
};
