#include "Munitionsvorat.h"


Munitionsvorat::Munitionsvorat() : GewhlterTyp(0) {
	Vorat[0].second = &Projektil::Typ::Laser;
	Vorat[1].second = &Projektil::Typ::Kugel;
	Vorat[2].second = &Projektil::Typ::Drohne;
}

void Munitionsvorat::operator++() {
	++GewhlterTyp;
	if(GewhlterTyp >= Vorat.size())
		GewhlterTyp = 0;
}

void Munitionsvorat::operator--() {
	--GewhlterTyp;
	if(GewhlterTyp == 0)
		GewhlterTyp = Vorat.size()-1;
}

void Munitionsvorat::Add(const Projektil::Typ* Typ, uint16_t Menge) {
	for(auto i = Vorat.begin(), j = Vorat.end(); i != j; ++i) {
		if(i->second == Typ) {
			if(Typ == Vorat[GewhlterTyp].second && i->first == 0)
				Ladeuhr.restart();
			i->first = std::min<uint16_t>(i->first+Menge, i->second->MaxLager);
			break;
		}
	}
}

Projektil* Munitionsvorat::operator()(const sf::Vector2f& Position, const VectorP& Schtzenbewegung, float Schtzendrehung) {
 	if(Vorat[GewhlterTyp].first != 0 && Ladeuhr.getElapsedTime().asMilliseconds() >= Vorat[GewhlterTyp].second->Ladezeit) {
		--Vorat[GewhlterTyp].first;
		Ladeuhr.restart();
		Projektil* p = new Projektil(Vorat[GewhlterTyp].second);
		p->Bewegung = VectorP(Vorat[GewhlterTyp].second->Fluggeschwindigkeit, Schtzendrehung) + Schtzenbewegung;
		p->setPosition(Position);
		p->setRotation(Schtzendrehung);
		p->Schuss.play();
		return(p);
	}
	return(nullptr);
}

const sf::Texture& Munitionsvorat::GetLogo() const {
	return(Vorat[GewhlterTyp].second->GetLImg());
}

const uint16_t* Munitionsvorat::GetVorat() const {
	return(&Vorat[GewhlterTyp].first);
}

uint16_t Munitionsvorat::GetMax() const {
	return(Vorat[GewhlterTyp].second->MaxLager);
}
