#include "PowerUp.h"
#include "Ressourcen.h"


void PowerUp::draw(sf::RenderTarget& Target, sf::RenderStates states) const {
	states.transform *= getTransform();
	Target.draw(Sp, states);
}

PowerUp::PowerUp() : Typ((PowerUp::typ)(std::rand() % TEND)) {
	switch(Typ) {
		case LEBEN:
			Sp.setTexture(RM().get<sf::Texture>("Grafik/PU_Leben.png"));
			break;
		case TREIBSTOFF:
			Sp.setTexture(RM().get<sf::Texture>("Grafik/PU_Treibstoff.png"));
			break;
		case KUGEL:
			Sp.setTexture(RM().get<sf::Texture>("Grafik/PU_Kugel.png"));
			break;
		case LASER:
			Sp.setTexture(RM().get<sf::Texture>("Grafik/PU_Laser.png"));
			break;
		case DROHNE:
			Sp.setTexture(RM().get<sf::Texture>("Grafik/PU_Drohne.png"));
			break;
	}
	setOrigin(Sp.getTexture()->getSize().x/2, Sp.getTexture()->getSize().y/2);
	setPosition((int32_t)(std::rand()%(10000-Sp.getTexture()->getSize().x/2))-5000, (int32_t)(std::rand()%(10000-Sp.getTexture()->getSize().y/2))-5000);
}

const sf::Vector2i& PowerUp::GetSize() const {
	static sf::Vector2i retVal(Sp.getTexture()->getSize().x, Sp.getTexture()->getSize().y);
	return(retVal);
}
