#ifndef BUTTON_H
#define BUTTON_H

#include "Global.h"
#include "Control.h"


class Button : public Control {
	sf::Vector2f Size;
	sf::RectangleShape Border;
	sf::Text Text;

	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	Button(const sf::FloatRect& Rect, const std::string& text);

	void setText(const std::string& text);
	sf::FloatRect getLocalBounds() const;
};


#endif
