#ifndef CONTROL_H
#define CONTROL_H

#include "Global.h"
#include "EventHandler.h"
#include "ControlContainer.h"


class Control : public sf::Drawable, public sf::Transformable {
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	EventHandler<sf::RenderTarget&, sf::RenderStates> Ondraw;
	EventHandler<const sf::Vector2i&, sf::Mouse::Button> OnMouseButtonDown;
	EventHandler<const sf::Vector2i&, sf::Mouse::Button> OnMouseButtonUp;
	EventHandler<const sf::Vector2i&, void> OnMouseMove;

	virtual sf::FloatRect getLocalBounds() const = 0;
};


#endif
