#ifndef TURM_H
#define TURM_H

#include "Global.h"
#include "Geschoss.h"


class Turm : public sf::Drawable, public sf::Transformable {
	sf::Sprite Sp;
	sf::CircleShape* Kreis;
	sf::Clock Ladeuhr;

	uint16_t Reichweite;
	float Verlangsamung;
	uint32_t Ladezeit;
	uint16_t Durchschlag;
	uint16_t Schussgeschw;
	const sf::Texture& GImg;
	const sf::SoundBuffer& Schuss;

	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
	Turm(const sf::Texture& Img, const sf::Texture& gImg, const sf::SoundBuffer& schuss, const sf::Vector2f& Mitte, uint16_t preis, uint16_t reichweite, uint32_t ladezeit, uint16_t schussgeschw, uint16_t durchschlag, uint16_t schaden, float verlangsamung = 1.f);
public:
	uint16_t Preis;
	uint16_t Schaden;

	Turm(uint16_t Typ);
	Geschoss* Schiee(sf::Vector2i Ziel);

	static Turm Trme[4];
};


#endif
