#include "Global.h"
#include "Util.h"


TextBox Name(std::emptyString, "Bitte geben Sie ihren Namen ein...", sf::Vector2f(400, 300));
sf::Sprite Hintergrund;
const int KSize = 19;
bool AmZug;
sf::Text Fehler(sf::emptyString, RM().get<sf::Font>("../Fonts/sansation.ttf"));
sf::Clock Fehleruhr;
std::vector<Button> Spielauswahl;
sf::Text AnDerReihe(sf::emptyString, RM().get<sf::Font>("../Fonts/sansation.ttf"));
CheckBox KI(sf::Vector2f(37, 276), "Computer spielt (KI-Modus)");
sf::Sound Hintergrundsound(RM().get<sf::SoundBuffer>("Sound/Hintergrund.ogg"));
Button SetzenFertig("Flotte auf Position", sf::Vector2f(200, 465), sf::Vector2f(550, 525));
Button Hauptmen("Hauptmen", sf::Vector2f(250, 150), sf::Vector2f(550, 250));
Button Men[4] = {
	Button("Beenden", sf::Vector2f(37, 46), sf::Vector2f(387, 255)),
	Button("Spiel erffnen", sf::Vector2f(410, 45), sf::Vector2f(760, 277)),
	Button("Zuflligem Spiel\nbeitreten", sf::Vector2f(38, 313), sf::Vector2f(388, 525)),
	Button("Bestimmtem Spiel\nbeitreten", sf::Vector2f(412, 340), sf::Vector2f(762, 525))};
bool KISpielt;
sf::Text Gegner(sf::emptyString, RM().get<sf::Font>("../Fonts/sansation.ttf"));
Button ZuflligPlatzieren("Zufllig platzieren", sf::Vector2f(210, 465), sf::Vector2f(540, 525));
sf::Text SpielZuEnde(sf::emptyString, RM().get<sf::Font>("../Fonts/sansation.ttf"));


void SetFehler(const std::string& str) {
	Fehleruhr.restart();
	Fehler.setString(Fehler.getString() + "    " + str);
}

void ResetFehler() {
	Fehler.setString(sf::emptyString);
}

Resourcemanager& RM()
{
	static Resourcemanager rm("../../Daten/Versenkt/");
	return rm;
}
