#ifndef TEXTBOX_H
#define TEXTBOX_H

#include <string>
#include <SFML/Graphics.hpp>


class TextBox : public sf::Drawable, sf::Transformable {
private:
	sf::RectangleShape Rand;
	sf::Text Text;
	std::string Leertext;
	std::string Inhalt;
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	bool IsNotLeer();
	const std::string& getString() const;
	TextBox(const std::string& sText, const std::string& lText, const sf::Vector2f& Position);
	void AddText(char c);
};

#endif
