﻿#include "Stein.h"

int main () {
	sf::Vector2i AlteMausPos;
	sf::Clock MausUhr;
	sf::RenderWindow RW(sf::VideoMode(800, 600), "Shôuyì", sf::Style::Close, sf::ContextSettings(0, 0, 4));
	RW.setFramerateLimit(60);
	RW.setMouseCursorVisible(true);
	Anweisung.setColor(sf::Color(255, 255, 255, 200));
	sf::Event EV;
	sf::Clock Timer;
	SetStatus(TEIL1);

	while(GetStatus() != ENDE) {
		RW.clear();
		while(RW.pollEvent(EV)) {
			if(EV.type == sf::Event::MouseButtonPressed && GetStatus() == TEIL1) {
				if(EV.mouseButton.button == sf::Mouse::Left) {
					Stein.Click(sf::Mouse::getPosition(RW));
				}
			}
			else if(EV.type  == sf::Event::KeyPressed) {
				if(EV.key.code == sf::Keyboard::Delete && GetStatus() == HIGHSCORE) {
					DeleteHighscore();
				}
				else if(EV.key.code == sf::Keyboard::Escape || GetStatus() == HIGHSCORE) {
					SetStatus(ENDE);
				}
			}
			else if(EV.type == sf::Event::Closed) {
				SetStatus(ENDE);
				RW.close();
			}
		}
		if(GetStatus() == HIGHSCORE) {
			Punkte[0].setString(std::to_string(Score) + " Punkte");
			Punkte[0].setPosition(400 - Punkte[0].getLocalBounds().width / 2, 590 - Punkte[0].getLocalBounds().height);
			for(int i = 0; i < 11; i++) {
				RW.draw(Punkte[i]);
			}
		}


		RW.draw(Stein.Run(Timer.getElapsedTime().asMilliseconds()));
		if(GetStatus() == TEIL2) {
			RW.draw(MausStein.GetSet(sf::Mouse::getPosition(RW), Timer.getElapsedTime().asMilliseconds(), -1));
		}
		else if(GetStatus() == TEIL3) {
			Stein.GetSet(AlteMausPos, 0, 0);
			RW.draw(MausStein.GetSet(sf::Mouse::getPosition(RW), Timer.getElapsedTime().asMilliseconds(), 1));
		}
		Timer.restart();
		if(MausUhr.getElapsedTime().asMilliseconds() > 100) {
			AlteMausPos = sf::Mouse::getPosition(RW);
			MausUhr.restart();
		}
		for(int i = 0; i < 11; i++) {
			RW.draw(Punkte[i]);
		}
		if(AnweisungsTimer.getElapsedTime().asMilliseconds() < 5000) {
			RW.draw(Anweisung);
		}


		if(AufgabenTimer.getElapsedTime().asMilliseconds() > 30000) {
			switch(GetStatus()) {
				case HIGHSCORE:
					RW.setMouseCursorVisible(true);
					SetStatus(ENDE);
					break;
				case TEIL3:
					RW.setMouseCursorVisible(true);
					SetStatus(HIGHSCORE);
					break;
				case TEIL2:
					RW.setMouseCursorVisible(false);
					SetStatus(TEIL3);
					break;
				case TEIL1:
					RW.setMouseCursorVisible(false);
					SetStatus(TEIL2);
					break;
			}
			AufgabenTimer.restart();
		}
		RW.display();
	}
	return EXIT_SUCCESS;
}