#ifndef BUTTON_H
#define BUTTON_H

#include "Global.h"


class Button : public sf::Drawable, sf::Transformable {
private:
	sf::RectangleShape Rand;
	sf::Text Text;
protected:
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	bool IsClicked(sf::Vector2i MousePosition) const;
	Button(const sf::String& sText, const sf::Vector2f& Position, const sf::Vector2f& Size);
};


#endif
