#ifndef FELD_H
#define FELD_H

#include "Global.h"
#include "Stein.h"


class Feld : public sf::Drawable {
	sf::Sound SteinVerschwindet;
	sf::RenderTexture texture;
	sf::Sprite sp;

	virtual void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
	void redraw();
public:
	Stein* Steine[15][15];

	Feld();
	void Load(std::istream& ifs);
	void Unload();
	int16_t Destroy(uint8_t i, uint8_t j);
	bool Abgerumt() const;
	~Feld();
};


#endif
