#ifndef SPIEL_H
#define SPIEL_H

#include "Global.h"
#include "Schlaeger.h"
#include "Ball.h"
#include "Feld.h"


class Spiel : public sf::Drawable {
	Ball B;
	Schlger S[4];
	Feld F;
	virtual void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
	void NextLevel();
public:
	uint16_t Level;
	int16_t Punkte;

	Spiel();
	void Run(float Time, const sf::Vector2i& MousePos);
	~Spiel();
};


#endif
