#ifndef BUTTON_H
#define BUTTON_H

#include "Global.h"
#include <SFML/Graphics.hpp>

class Button : public sf::Drawable, sf::Transformable {
private:
	sf::RectangleShape Rand;
	sf::Text Text;
protected:
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	EventHandler<void> OnClick;
	bool IsClicked(sf::Vector2i MousePosition) const;
	Button(const sf::String& sText, const sf::Vector2f& Position, const sf::Vector2f& Size, std::function<void(void)> onClick);
};

#endif
