#ifndef SPIELER_H
#define SPIELER_H

#include "Global.h"
#include "Stein.h"
#include <array>

extern bool MultiForm;

class Spieler : public sf::Drawable, sf::NonCopyable, sf::Transformable {
	const Direction ID;
	sf::Text VerlorenT;
	sf::View Vorschau;
	virtual void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	bool Verloren;
	uint8_t nchsteFormation;
	std::array<Stein*, 4> nchsteSteine;
	std::array<Stein*, 4> curSteine;
	bool bewegt;

	Spieler(Direction id);
	void Nchste();
	void Links();
	void Rechts();

	~Spieler();
};

#endif
