#ifndef BUTTON_H
#define BUTTON_H

#include "Global.h"

class Button : public sf::Drawable, sf::Transformable {
private:
	sf::RectangleShape Rand;
	sf::Text Text;
	virtual void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	bool IsClicked(sf::Vector2i MousePosition) const;
	void setText(const std::string& sText);
	Button(const std::string& sText, const sf::Vector2f& Pos, const sf::Vector2f& Size);
};

#endif
