#include "Powerup.h"

Powerup::Powerup()
	: Sound(RM().get<sf::SoundBuffer>("Sound/Dong.wav"))
{
}

int Powerup::Check(std::vector<Ball>& B) {
	if(!Da)  {
		if(std::rand() % 100 == 0) {
			Da = true;
			setPosition(std::rand() % 400 + 200.f, std::rand() % 575);
			ImgNr = std::rand() % 4;
			setTexture(RM().get<sf::Texture>("Grafik/PU" + std::to_string((1+ImgNr)) + ".png"));
			Cl.restart();
		}
	}
	if(Da) {
		if(Cl.getElapsedTime().asMilliseconds() >= 10000)
			Da = false;

		for(std::vector<Ball>::iterator i = B.begin(); i != B.end(); ++i)
		{
			sf::FloatRect ballRect = i->getTransform().transformRect(i->getLocalBounds());
			if (ballRect.left + ballRect.width >= getPosition().x &&
				ballRect.top + ballRect.height >= getPosition().y &&
				ballRect.left <= getPosition().x + 40 &&
				ballRect.top <= getPosition().y + 40)
			{
				Da = false;
				Sound.play();
				if(ImgNr == 0) {
					if(getPosition().x < 400-12.5) {
						return(0);
					}
					else {
						return(1);
					}
				}
				else if(ImgNr == 1) {
					i->Geschwindigkeit = -i->Geschwindigkeit;
				}
				else {
					return(ImgNr);
				}
			}
		}
	}
	return(99);
}
