#pragma once
#include <SFML/Window.hpp>
#include <SFML/Graphics.hpp>
#include <sstream>
#include "Ranking.h"
#include "Ressourcen.h"
#include <cstdint>


sf::Color RandomGrey();
sf::Vector2f CreateVector(float Angle, float Speed);

Resourcemanager& RM();

class Clock : public sf::Drawable {
	sf::Clock timer;
	sf::Int32 Framerate;
	sf::Int32 refresh;
	sf::Int32 SinceLastRefresh;
	sf::Int32 Frametime;
	unsigned int Counter;
public:
	Clock(sf::Int32 RefreshTime = 0);
	void Refresh();
	const sf::Int32& GetFrametime() const;
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const override;
};

std::string zeitToString(std::time_t zeit);
