template<typename T>
void Statusanzeige<T>::draw(sf::RenderTarget& Target, sf::RenderStates states) const {
	states.transform *= getTransform();
	Target.draw(Rand, states);
	if(*ZuBeobachten != alterWert || altesMax != Max) {
		alterWert = *ZuBeobachten;
		altesMax = Max;
		Inneres = sf::RectangleShape(sf::Vector2f(std::min<float>(RandRect.width, (*ZuBeobachten*RandRect.width)/Max), RandRect.height));
		Inneres.setFillColor(sf::Color(200, 175, 25));
	}
	Target.draw(Inneres, states);
}

template<typename T>
Statusanzeige<T>::Statusanzeige(const T* zuBeobachten, T max, const sf::FloatRect& rand) 
	: ZuBeobachten(zuBeobachten), Max(max), Rand(sf::RectangleShape(sf::Vector2f(rand.width, rand.height))), RandRect(rand)
	, alterWert(0), Inneres(sf::RectangleShape(sf::Vector2f(0.0, RandRect.height)))
{
	Rand.setFillColor(sf::Color::Transparent);
	Rand.setOutlineColor(sf::Color(25, 200, 175));
	Rand.setOutlineThickness(2);
	Inneres.setFillColor(sf::Color(200, 175, 25));
	setPosition(rand.left, rand.top);
}
