#include "ControlContainer.h"
#include "Control.h"


void ControlContainer::drawChilds(sf::RenderTarget& Target, sf::RenderStates states) const {
	for(auto i = Childs.cbegin(); i != Childs.cend(); ++i) {
		Target.draw(**i, states);
	}
}

void ControlContainer::operator+=(Control* c) {
	Childs.push_back(c);
}

void ControlContainer::operator+=(Control& c) {
	Childs.push_back(&c);
}

void ControlContainer::clearChilds() {
	Childs.clear();
}
