#ifndef GESCHOSS_H
#define GESCHOSS_H

#include "Global.h"


class Geschoss : public sf::Drawable, public sf::Transformable {
	sf::Vector2f Bewegung;
	sf::Sprite Sp;

	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	float Verlangsamung;
	uint16_t Schaden;
	uint16_t Durchschlag;

	Geschoss(const sf::Texture& Img, const sf::Vector2f& Position, float richtung, float geschwindigkeit, uint16_t schaden, uint16_t durchschlag, float verlangsamung);
	bool Run(uint32_t Frametime);
	bool Treffer();
	float GetRadius() const;
};


#endif
