#ifndef SPIEL_H
#define SPIEL_H

#include "Global.h"
#include "Gegner.h"
#include "Pfad.h"
#include "Control.h"
#include "Turm.h"


extern uint16_t Level;
extern uint16_t Geld;
extern int16_t Leben;


class Spiel : public Control {
	sf::Thread Pusher;
	bool LevelFertig;
	std::list<Gegner> gegner;
	PfadKarte* pKarte;
	bool Paused;
	sf::Mutex Pauser;
	sf::Sprite Hintergrund;

	uint16_t GewhlterTurmtyp;
	std::list<Turm> Trme;
	std::list<Geschoss*> Geschosse;

	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
	sf::FloatRect getLocalBounds() const;
	void MouseMove(const sf::Vector2i& Pos);
	void MouseButtonUp(const sf::Vector2i&, sf::Mouse::Button Button);

	void fPusher();
public:
	Spiel();
	~Spiel();
	bool Run(uint32_t Frametime);
	bool NextLevel();
	void Pause();
	void Continue();
	bool IsPaused() const;
	void KeyPressed(sf::Keyboard::Key Taste);
};


#endif
