#pragma once
#include "Config.h"
#include <SFML/System.hpp>
#include <string>

namespace std {
	UTIL_API extern const std::string emptyString;
	UTIL_API extern const std::wstring emptyWString;
}
namespace sf {
	UTIL_API extern const sf::String emptyString;
}

constexpr float PI = 3.14159265358979323846f;


constexpr float radtodeg(float f) {
	return(180.0f*f / PI);
}
constexpr float degtorad(float f) {
	return(f*PI / 180.0f);
}

template<typename T>
constexpr T clamp(T minimum, T x, T maximum)
{
	return std::max(std::min(x, maximum), minimum);
}

UTIL_API int Random(int u, int o);
