#ifndef BUTTON_H
#define BUTTON_H

#include <string>
#include <SFML/Graphics.hpp>


class Button : public sf::Drawable, public sf::Transformable {
private:
	sf::RectangleShape Rand;
	sf::Text Text;
	bool geklickt;
	float Border;
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	void setSize(const sf::Vector2f& Size);
	bool IsClicked(const sf::Vector2i& MousePosition);
	void setText(const std::string& sText);
	const sf::String& getString() const;
	Button(const std::string& sText, const sf::Vector2f& Pos1, const sf::Vector2f& Pos2, int size = 40, float border = 8);
};

#endif
