#ifndef CHECKBOX_H
#define CHECKBOX_H

#include <SFML/Graphics.hpp>


class CheckBox : public sf::Drawable, sf::Transformable {
private:
	sf::RectangleShape Rand;
	sf::ConvexShape CheckMark1;
	sf::ConvexShape CheckMark2;
	sf::Text Text;
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	bool Checked;
	CheckBox(const sf::Vector2f& Position, const std::string& text);
	void IsClicked(const sf::Vector2i& MousePosition);
};

#endif
