#include "Schiff.h"


Schiff Schiffe[5];
extern Schiffstyp Schifftyp[5];


Schiff::Schiff() {}

void Schiff::RadGedreht() {
	if(Geklickt) {
		Vertikal = !Vertikal;
	}
}

void Schiff::Click(const sf::Vector2i& Pos, const sf::Vector2i& Vorher) {
	if((!Vertikal && Vorher.x >= getPosition().x && Vorher.y >= getPosition().y && Vorher.x <= getPosition().x + KSize*Typ->GetLnge() && Vorher.y <= getPosition().y + KSize) ||
		(Vertikal && Vorher.x >= getPosition().x && Vorher.y >= getPosition().y && Vorher.x <= getPosition().x + KSize && Vorher.y <= getPosition().y + KSize*Typ->GetLnge())) {
			Geklickt = true;
	}
	if(Geklickt) {
		move(static_cast<sf::Vector2f>(Pos-Vorher));
	}
}

uint8_t Schiff::GetLnge() {
	return(Typ->GetLnge());
}

void Schiff::Init(uint8_t typ, const sf::Vector2f& Pos) {
	Typ = &Schifftyp[typ];
	Zerstrt.resize(Typ->GetLnge());
	setPosition(Pos);
	for(int i = 0; i < Typ->GetLnge(); i++) {
		Zerstrt[i] = false;
	}
	Geklickt = false;
	Vertikal = false;
}

void Schiff::Getroffen(int Stck) {
	Zerstrt[Stck] = true;
}

void Schiff::draw(sf::RenderTarget& Target, sf::RenderStates states) const {
	states.transform *= getTransform();
	for(int i = 0; i < Typ->GetLnge(); i++) {
		sf::Sprite SP(Typ->GetImg(Zerstrt[i], i, Vertikal));
		if(Vertikal) {
			if(Zerstrt[i]) {
				SP.setPosition(0, i*KSize-1);
			}
			else {
				SP.setPosition(KSize - 2, i*KSize - 1);
				SP.rotate(-90);
			}
		}
		else {
			SP.setPosition(i*KSize-1, 0);
		}
		Target.draw(SP, states);
	}
}
