#include "Schifftyp.h"


Schiffstyp Schifftyp[5];

void InitSchiffTypen() {
	Schifftyp[0].Init(2, "UBoot");
	Schifftyp[1].Init(3, "leichterKreuzer");
	Schifftyp[2].Init(4, "Zerstoerer");
	Schifftyp[3].Init(5, "Schlachtkreuzer");
	Schifftyp[4].Init(6, "Schlachtschiff");
}


Schiffstyp::Schiffstyp() {}

void Schiffstyp::Init(int lnge, const std::string& basis) {
	Img.resize(lnge);
	for(int i = 0; i < lnge; i++) {
		Img[i] = &RM().get<sf::Texture>("Grafik/" + basis + "/" + std::to_string(i) + ".png");
	}
}

size_t Schiffstyp::GetLnge() {
	return(Img.size());
}

sf::Texture& Schiffstyp::GetImg(bool Zerstrt, int Stck, bool Vertikal) {
	if(Zerstrt) {
		if(Vertikal) {
			return(RM().get<sf::Texture>("Grafik/TrefferSchiffV.png"));
		}
		else {
			return(RM().get<sf::Texture>("Grafik/TrefferSchiffH.png"));
		}
	}
	else {
		return(*Img[Stck]);
	}
}
