#ifndef SOUNDLOOP_H
#define SOUNDLOOP_H

#include "Global.h"
#include <queue>


enum SOUND {
	POSITION_EINGENOMMEN, SCHIFF_Getroffen, FEIND_WEG
};

class SoundLoop : public sf::Thread {
private:
	sf::Sound Player;
	std::queue<SOUND> Warteschlange;
public:
	SoundLoop();
	virtual void Run();
	void PlaySound(SOUND index);
	void clear();
};

extern SoundLoop SoundPlayer;

#endif
