#ifndef SPIELFELD_H
#define SPIELFELD_H

#include "Schiff.h"


extern sf::Texture ImgGetroffen;

class Spielfeld : public sf::Drawable, public sf::Transformable {
private:
	static sf::Texture Wasser;
	static sf::Texture Bombardiert;
	sf::Sprite Kacheln[10][10];
	void draw(sf::RenderTarget& Target, sf::RenderStates states) const;
public:
	uint8_t Feldzustand[10][10];
	Spielfeld();
	void Init(const sf::Vector2f& Pos);
	bool Prfen();
	void SchiffAufFeld(Schiff *schiff, const sf::Vector2i& MousePosition);
	void Click(const sf::Vector2i& MousePosition);
	void Getroffen(int x, int y, bool b);
	sf::Vector2<uint8_t> GetKoords(Schiff *schiff);
	static void ImgLaden() {
		Wasser.loadFromFile("Grafik/Wasser.png");
		Bombardiert.loadFromFile("Grafik/Bombardiert.png");
		ImgGetroffen.loadFromFile("Grafik/Treffer.png");
	}
};

extern Spielfeld FeldI, FeldG;

#endif
