#include "Spielfeld.h"


sf::Vector2i MausVorher;
sf::VertexArray Up, Down;

void RessourcenLaden() {
	InitSchiffTypen();
}

void SetRandomSchiffe() {
	do {
		for(int i = 0; i < 5; i++) {
			if(std::rand() % 2 == 0) {
				Schiffe[i].Vertikal = true;
			}
			else {
				Schiffe[i].Vertikal = false;
			}
			Schiffe[i].setPosition(FeldI.getPosition() + sf::Vector2f((std::rand()%10) * KSize, (std::rand()%10) * KSize));
		}
	}
	while(!FeldI.Prfen());
	for(int i = 0; i < 5; i++) {
		Client.SetzeSchiff(i, Schiffe[i].Vertikal, FeldI.GetKoords(&Schiffe[i]));
	}
}

int WRBi = 0;
int WRBj = 0;

void WerfeRandomBombe() {
	for(int i = 9; i >= 0; i--) {
		for(int j = 9; j >= 0; j--) {
			if(FeldG.Feldzustand[i][j] == 2) {
				if(i < 9 && FeldG.Feldzustand[i+1][j] == 0) {
					FeldG.Click(static_cast<sf::Vector2i>(FeldG.getPosition()) + sf::Vector2i((i+1)*KSize+5, j*KSize+5));
					return;
				}
				if(j < 9 && FeldG.Feldzustand[i][j+1] == 0) {
					FeldG.Click(static_cast<sf::Vector2i>(FeldG.getPosition()) + sf::Vector2i(i*KSize+5, (j+1)*KSize+5));
					return;
				}
				if(i > 0 && FeldG.Feldzustand[i-1][j] == 0) {
					FeldG.Click(static_cast<sf::Vector2i>(FeldG.getPosition()) + sf::Vector2i((i-1)*KSize+5, j*KSize+5));
					return;
				}
				if(j > 0 && FeldG.Feldzustand[i][j-1] == 0) {
					FeldG.Click(static_cast<sf::Vector2i>(FeldG.getPosition()) + sf::Vector2i(i*KSize+5, (j-1)*KSize+5));
					return;
				}
			}
		}
	}
	FeldG.Click(static_cast<sf::Vector2i>(FeldG.getPosition()) + sf::Vector2i(WRBj * KSize + 5, (WRBi * 2 + WRBj % 2) * KSize + 5));
	WRBj++;
	if(WRBj >= 10) {
		WRBi++;
		WRBj = 0;
	}
	if(WRBi >= 5) {
		WRBi = 0;
	}
}

int main() {
	std::srand(static_cast<unsigned int>(std::time(nullptr)));
	Up.setPrimitiveType(sf::Triangles);
	Up.append(sf::Vertex(sf::Vector2f(287.5, 35), sf::Color(50,150,50)));
	Up.append(sf::Vertex(sf::Vector2f(277, 50), sf::Color(50,150,50)));
	Up.append(sf::Vertex(sf::Vector2f(298, 50), sf::Color(50,150,50)));
	Down.setPrimitiveType(sf::Triangles);
	Down.append(sf::Vertex(sf::Vector2f(287.5, 580), sf::Color(50,150,50)));
	Down.append(sf::Vertex(sf::Vector2f(277, 565), sf::Color(50,150,50)));
	Down.append(sf::Vertex(sf::Vector2f(298, 565), sf::Color(50,150,50)));
	RessourcenLaden();
	SoundPlayer.launch();
	InitStati();
	Client.Anmelden();
	sf::RenderWindow RW(sf::VideoMode(800, 600), "Versenkt!", sf::Style::Close, sf::ContextSettings(0, 0, 4));
	Hintergrundsound.setLoop(true);
	Fehler.setPosition(5, 5);
	Fehler.setCharacterSize(15);
	RW.setVerticalSyncEnabled(true);
	sf::Event EV;

	while(GetStatus() != ENDE) {
		// Inputs
		while(RW.pollEvent(EV)) {
			switch(EV.type) {
				case sf::Event::Closed:
					SetStatus(ENDE);
					break;
				case sf::Event::TextEntered:
					if(EV.text.unicode < 128) {
						if(GetStatus() == NAME)
							Name.AddText(static_cast<char>(EV.text.unicode)); 
						else if(GetStatus() == SetzeN && EV.text.unicode == 'd') {
							for(int i = 0; i < 5; i++) {
								Schiffe[i].RadGedreht();
							}
						}
					}
					break;
				case sf::Event::KeyPressed:
					if(EV.key.code == sf::Keyboard::Return)
						if(Name.IsNotLeer())
							Client.SetNick(Name.getString());
					break;
				case sf::Event::MouseWheelMoved:
					for(int i = 0; i < 5; i++) {
						Schiffe[i].RadGedreht();
					}
					break;
				case sf::Event::MouseMoved:
					if(sf::Mouse::isButtonPressed(sf::Mouse::Left) && GetStatus() == SetzeN)  {
						for(int i = 0; i < 5; i++) {
							Schiffe[i].Click(sf::Mouse::getPosition(RW), MausVorher);
						}
					}
					break;
				case sf::Event::MouseButtonReleased:
					if(EV.mouseButton.button == sf::Mouse::Left) {
						switch(GetStatus()) {
							case SetzeN:
								for(int i = 0; i < 5; i++) {
									Schiffe[i].Geklickt = false;
								}
								break;
						}
					}
					break;
				case sf::Event::MouseButtonPressed:
					if(EV.mouseButton.button == sf::Mouse::Left) {
						switch(GetStatus()) {
							case NAME:
								break;
							case MEN:
								KI.IsClicked(sf::Mouse::getPosition(RW));
								if(Men[0].IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(ENDE);
									break;
								}
								if(Men[1].IsClicked(sf::Mouse::getPosition(RW))) {
									Client.NeuesSpiel();
									break;
								}
								if(Men[2].IsClicked(sf::Mouse::getPosition(RW))) {
									Client.ZuflligesSpiel();
									break;
								}
								if(Men[3].IsClicked(sf::Mouse::getPosition(RW))) {
									Client.MatchInfo();
									break;
								}
								break;
							case AUSWAHL:
								if(sf::Mouse::getPosition(RW).x < 298 && sf::Mouse::getPosition(RW).x > 277) {
									if(sf::Mouse::getPosition(RW).y < 50 && sf::Mouse::getPosition(RW).y > 35 && Spielauswahl[0].getPosition().y < 55) {
										for(unsigned int i = 0; i < Spielauswahl.size(); i++) {
											Spielauswahl[i].move(0, +30);
										}
									}
									if(sf::Mouse::getPosition(RW).y < 580 && sf::Mouse::getPosition(RW).y > 565 && Spielauswahl[Spielauswahl.size()-1].getPosition().y > 550) {
										for(unsigned int i = 0; i < Spielauswahl.size(); i++) {
											Spielauswahl[i].move(0, -30);
										}
									}
								}
								if(sf::Mouse::getPosition(RW).y <= 565 && sf::Mouse::getPosition(RW).y >= 50) {
									for(unsigned int i = 0; i < Spielauswahl.size(); i++) {
										if(Spielauswahl[i].IsClicked(sf::Mouse::getPosition(RW))) {
											Client.BestimmtesSpiel(Spielauswahl[i].getString().substring(8));
										}
									}
								}
								if(Hauptmen.IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(MEN);
								}
								break;
							case WARTEN:
								if(Hauptmen.IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(MEN);
								}
								break;
							case SetzeN:
								if(!KISpielt) {
									if(FeldI.Prfen()) {
										if(SetzenFertig.IsClicked(sf::Mouse::getPosition(RW))) {
											for(int i = 0; i < 5; i++) {
												Client.SetzeSchiff(i, Schiffe[i].Vertikal, FeldI.GetKoords(&Schiffe[i]));
											}
										}
									}
									else {
										if(ZuflligPlatzieren.IsClicked(sf::Mouse::getPosition(RW))) {
											SetRandomSchiffe();
										}
									}
								}
								if(Hauptmen.IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(MEN);
								}
								break;
							case GESETZT:
								if(Hauptmen.IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(MEN);
								}
								break;
							case WERFEN:
								if(Hauptmen.IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(MEN);
								}
								if(!KISpielt) {
									FeldG.Click(sf::Mouse::getPosition(RW));
								}
								break;
							case GEWONNEN:
								if(Hauptmen.IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(MEN);
								}
								break;
							case VERLOREN:
								if(Hauptmen.IsClicked(sf::Mouse::getPosition(RW))) {
									SetStatus(MEN);
								}
								break;
						}
					}
					break;
			}
		}
		MausVorher = sf::Mouse::getPosition(RW);

		// drawing
		RW.clear();
		RW.draw(Hintergrund);
		if(Fehleruhr.getElapsedTime().asSeconds() > 5) {
			Fehler.setString(sf::emptyString);
		}
		RW.draw(Fehler);
		switch(GetStatus()) {
			case NAME:
				RW.draw(Name);
				break;
			case MEN:
				for(int i = 0; i < 4; i++) {
					RW.draw(Men[i]);
				}
				RW.draw(KI);
				break;
			case AUSWAHL:
				for(unsigned int i = 0; i < Spielauswahl.size(); i++) {
					if(Spielauswahl[i].getPosition().y <= 550 && Spielauswahl[i].getPosition().y >= 55) {
						RW.draw(Spielauswahl[i]);
					}
				}
				if(Spielauswahl.size() != 0) {
					if(Spielauswahl[0].getPosition().y < 55) {
						RW.draw(Up);
					}
					if(Spielauswahl[Spielauswahl.size()-1].getPosition().y > 550) {
						RW.draw(Down);
					}
				}
				RW.draw(Hauptmen);
				break;
			case WARTEN:
				RW.draw(Hauptmen);
				break;
			case SetzeN:
				RW.draw(Hauptmen);
				if(!KISpielt) {
					RW.draw(AnDerReihe);
				}
				for(int i = 0; i < 5; i++) {
					FeldI.SchiffAufFeld(&Schiffe[i], sf::Mouse::getPosition(RW));
				}
				if(FeldI.Prfen() && !KISpielt) {
					RW.draw(SetzenFertig);
				}
				else {
					RW.draw(ZuflligPlatzieren);
				}
				RW.draw(FeldI);
				RW.draw(FeldG);
				RW.draw(Gegner);
				for(int i = 0; i < 5; i++) {
					RW.draw(Schiffe[i]);
				}
				break;
			case GESETZT:
				RW.draw(Hauptmen);
				RW.draw(FeldI);
				RW.draw(FeldG);
				if(!KISpielt) {
					RW.draw(AnDerReihe);
				}
				RW.draw(Gegner);
				for(int i = 0; i < 5; i++) {
					RW.draw(Schiffe[i]);
				}
				break;
			case WERFEN:
				RW.draw(Hauptmen);
				RW.draw(FeldI);
				RW.draw(FeldG);
				RW.draw(Gegner);
				RW.draw(AnDerReihe);
				for(int i = 0; i < 5; i++) {
					RW.draw(Schiffe[i]);
				}
				break;
			case GEWONNEN: case VERLOREN:
				RW.draw(Hauptmen);
				RW.draw(FeldI);
				RW.draw(FeldG);
				for(int i = 0; i < 5; i++) {
					RW.draw(Schiffe[i]);
				}
				RW.draw(SpielZuEnde);
				break;
		}
		RW.display();
	}
	return EXIT_SUCCESS;
}
