#include "Global.h"
#include "Util.h"


Spielstatus Status;
sf::Clock AnweisungsTimer;
sf::Clock AufgabenTimer;
sf::Text Anweisung(sf::emptyString, RM().get<sf::Font>("../Fonts/sansation.ttf"));
sf::Text Punkte[11];
float Score;

void SetStatus(Spielstatus status) {
	AnweisungsTimer.restart();
	Status = status;
	switch(Status) {
		case TEIL1:
			Anweisung.setString("Klicken Sie die Kstchen so schnell wie mglich weg!");
			Score = 0.f;
			for(int i = 0; i < 11; i++) {
				Punkte[i].setFont(RM().get<sf::Font>("../Fonts/sansation.ttf"));
				Punkte[i].setString(sf::emptyString);
			}
			break;
		case TEIL2:
			Anweisung.setString("Folgen Sie dem Kstchen so dicht wie mglich!");
			NchstesSpiel();
			break;
		case TEIL3:
			Anweisung.setString("Halten Sie soviel Abstand zum Kstchen wie mglich!");
			NchstesSpiel();
			break;
		case HIGHSCORE:
			CreateHighscore();
			Anweisung.setCharacterSize(25);
			Anweisung.setString("Drcken Sie eine Taste zum Beenden. Entf lscht dabei die Highscore.");
			break;
		case ENDE:
			break;
	}
	Anweisung.setPosition(400 - Anweisung.getLocalBounds().width / 2, 5);
}

Spielstatus GetStatus() {
	return(Status);
}

Resourcemanager& RM()
{
	static Resourcemanager rm("../../Daten/Shouyi/");
	return rm;
}
