#include "Stein.h"

Steine Stein;
Steine MausStein;
sf::Sound Player;

void NchstesSpiel() {
	if(GetStatus() == TEIL2) {
		Player.setBuffer(RM().get<sf::SoundBuffer>("Tuuuut.ogg"));
		Player.setPitch(1);
	}
	else if(GetStatus() == TEIL3) {
		Player.stop();
	}
	Stein.NchstesSpiel();
	MausStein = Stein;
	MausStein.NewColor();
}

Steine::Steine() {
	x = (std::rand()%200)-100;
	y = (std::rand()%200)-100;
	Uhr.restart();
	Size = sf::Vector2f(std::rand()%20+15, std::rand()%20+15);
	Figur = sf::RectangleShape(Size);
	Figur.setFillColor(sf::Color(std::rand()%205+50, std::rand()%205+50, std::rand()%205+50));
	Figur.setPosition(std::rand()%(800-(int)Size.x), std::rand()%(600-(int)Size.y));
}
void Steine::NewColor() {
	Figur.setFillColor(sf::Color(std::rand()%205+50, std::rand()%205+50, std::rand()%205+50));
}
const sf::Vector2f& Steine::getPosition() const {
	return(Figur.getPosition());
}
void Steine::NchstesSpiel() {
	Score -= Uhr.getElapsedTime().asMilliseconds();
	*this = Steine();
}
sf::Drawable& Steine::GetSet(const sf::Vector2i& Pos, uint32_t ElapsedTime, int ScoreFak) {
	Figur.setPosition(static_cast<sf::Vector2f>(Pos));
	float f = std::min(Stein.getPosition().x - this->getPosition().x, -(Stein.getPosition().x - this->getPosition().x));
	f += std::min(Stein.getPosition().y - this->getPosition().y, -(Stein.getPosition().y - this->getPosition().y));
	if(GetStatus() == TEIL2) {
		Player.setLoop(true);
		if(Player.getStatus() != sf::Sound::Playing) {
			Player.play();
		}
		Player.setVolume(-f);
		Player.setPitch(0.6 - f*0.001);
	}
	if(AnweisungsTimer.getElapsedTime().asMilliseconds() > 3000) {
		if(GetStatus() == TEIL2) {
			Score -= ScoreFak*f*(float)ElapsedTime*0.001f;
		}
		else {
			Score -= ScoreFak*f*(float)ElapsedTime*0.0001f;
		}
	}
	return(Figur);

}
sf::Drawable& Steine::Run(uint32_t ElapsedTime) {
	if(BewegungsUhr.getElapsedTime().asMilliseconds() > 400 && std::rand()%5 == 0) {
		x = std::rand()%200 - 100;
		y = std::rand()%200 - 100;
		BewegungsUhr.restart();
	}
	Figur.move(
		std::min(std::max(x*0.001f*(float)ElapsedTime, -Figur.getPosition().x), 800 - (Figur.getPosition().x + Size.x)), 
		std::min(std::max(y*0.001f*(float)ElapsedTime, -Figur.getPosition().y), 600 - (Figur.getPosition().y + Size.y)));
	return(Figur);
}
void Steine::Click(const sf::Vector2i& MousePosition) {
	if(MousePosition.x >= Figur.getPosition().x && MousePosition.y >= Figur.getPosition().y && MousePosition.x <= Figur.getPosition().x + Size.x && MousePosition.y <= Figur.getPosition().y + Size.y) {
		Score += (float)(3000 - Uhr.getElapsedTime().asMilliseconds())*0.1f;
		*this = Steine();
		Player.play();
	}
	else {
		Score -= 100;
	}
}